#pragma once
#include "MultiLayer.h"
#include <BWAPI.h>

class ActorCritic {
    private:
        MultiLayer *actor;
        //MultiLayer *critic;
        //double gamma;
        //double exploration; 

    public:
        ofstream file;
        double exploration;
        MultiLayer *critic;
        double gamma;

        ActorCritic(int,double,double);
        ~ActorCritic(void);
        void save();
        vector<double> explore(vector<double>);	
        vector<double> normalizeVector(vector<double> v);
        vector<double> run(vector<double>);
        void learn(double,vector<double>,vector<double>,vector<double>,bool);
};