#pragma once
#include <iostream>
#include <vector>
#include <time.h>  
#include <math.h>    
#include <fstream>
#include <string>

using namespace std;

class Matrix {
	private: 
		vector<double> data;
    ifstream input;
    ofstream output;

	public:
		int w,h;

		Matrix (int,int);
		void random(int x);	
    bool load(string s);	
    void save(string s);	

		int size() {
			return data.size();
		};	

		double get(int i) {
			return data[i];
		};

		void set(int i, double x) {
			data[i] = x;
		};

		Matrix* transp();
		vector<double> multi(vector<double>,bool);		
};