#pragma once
#include "Matrix.h"

class MultiLayer {
	private:
		vector<double> input;
		vector<double> hidden;
    string file;
		
		int inputs;
		int outputs;
		int neurons;
		double alfa;
    Matrix *w;
		Matrix *v;	

		void adjust(vector<double>, Matrix*, vector<double>);
		vector<double> derivation(vector<double>, vector<double>);
		
	public:
		MultiLayer(int,int,int,double,string);
		~MultiLayer(void);
    void save();	
		void learn(vector<double>, vector<double>);
		vector<double> run(vector<double>);
};